Name:		perl-OLE-Storage_Lite
Version:	0.14
Release:	6%{?dist}
Summary:	Simple Class for OLE document interface
Group:		Development/Libraries
License:	Artistic or GPL
Source0:	OLE-Storage_Lite-%{version}.tar.gz
Url: 		http://search.cpan.org/dist/OLE-Storage_Lite/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires: 	perl >= 1:5.6.1
Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(IO::Scalar)

%description
Simple Class for OLE document interface.

%prep
%setup -q -n OLE-Storage_Lite-%{version} 
%{__perl} -pi -e 's/\r\n/\n/g' Changes README sample/{README,*.pl}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README sample/
%{perl_vendorlib}/OLE/
%{_mandir}/man3/*.3*

%changelog
* Tue May 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-6
- fix defattr order

* Mon May  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-5
- fix spec file

* Sun Apr 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-4
- spec file cleanup

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-3
- rework spec to match template
- set to noarch

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-2
- add MODULE_COMPAT requires

* Fri Apr 1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-1
- initial package
